#version 330 core

layout (location = 0) in vec3 l_position;
layout (location = 1) in vec2 l_uv;

uniform mat4 u_view;
uniform mat4 u_projection;
uniform mat4 u_model;

out vec2 i_uv;

void main()
{
	gl_Position = u_view * u_projection * u_model * vec4(l_position, 1.0);
	i_uv = l_uv;
}
